aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--community/rpm/APKBUILD18
-rw-r--r--community/rpm/autoconf-lua5.3.patch11
-rw-r--r--community/rpm/musl.patch11
3 files changed, 23 insertions, 17 deletions
diff --git a/community/rpm/APKBUILD b/community/rpm/APKBUILD
index 4d0fc026de..de01ed69ef 100644
--- a/community/rpm/APKBUILD
+++ b/community/rpm/APKBUILD
@@ -1,22 +1,25 @@
# Contributor:
# Maintainer:
pkgname=rpm
-pkgver=4.16.1.3
-pkgrel=3
+pkgver=4.17.1
+pkgrel=0
pkgdesc="Redhat Package Management utilities (RPM)"
url="https://rpm.org/"
arch="all"
license="GPL-2.0-or-later LGPL-2.0-or-later"
depends_dev="acl-dev binutils-dev bzip2-dev sqlite-dev file-dev libarchive-dev
- libcap-dev libgcrypt-dev popt-dev xz-dev zlib-dev"
+ libcap-dev libgcrypt-dev lua5.3-dev popt-dev xz-dev zlib-dev"
makedepends="$depends_dev gettext-dev graphviz py3-setuptools python3-dev
zstd-dev automake autoconf libtool"
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang py3-rpm:py_rpm"
-source="http://ftp.rpm.org/releases/rpm-${pkgver%.*.*}.x/rpm-$pkgver.tar.bz2
+source="http://ftp.rpm.org/releases/rpm-${pkgver%*.*}.x/rpm-$pkgver.tar.bz2
musl.patch
+ autoconf-lua5.3.patch
"
# secfixes:
+# 4.17.1-r0:
+# - CVE-2021-3521
# 4.16.1.3-r0:
# - CVE-2021-3421
# - CVE-2021-20271
@@ -65,5 +68,8 @@ py_rpm() {
mv "$pkgdir"/usr/lib/python* "$subpkgdir"/usr/lib
}
-sha512sums="54e503b32dffaa73d6168f26a00220d9d9124082d8a1eb1ddf34ce32a482f07cb06ec654cf065fca1607cc37b13fa7d4fa9895553541d7cfddecf68c9eb96f2e rpm-4.16.1.3.tar.bz2
-212a4265abc8d002e16bed106b8b773cf65564f95e6074bc1378c4745420202a476373b49b660bdfe82cc2470c35fff4f184168a698abfa2a4bf30c8f91e64ad musl.patch"
+sha512sums="
+d0429510140f25a25b6c9441abe2027d27c485bbd4969752f69e1c843435c9508b9f85e5bb68085dd64b7da533801aa5c04d8c9d962e08d2ddd3199d0265cc85 rpm-4.17.1.tar.bz2
+31d9487ade2d382f0a63f13a95a41307a5686370a2a7cdabd20d07fb190e2c3b40e5033530e5bae8c3d8f3cee7de53269e46d300506f0b975e2a0d917fdbd9e8 musl.patch
+0931e7a3803a86cce2e61a1af1204cb4b402841bcd05d450c850d5cb470012c6321b91ad365f76cf4472b2a5e4b5ea6c177df60cf33b4e87a6e6109c60f27072 autoconf-lua5.3.patch
+"
diff --git a/community/rpm/autoconf-lua5.3.patch b/community/rpm/autoconf-lua5.3.patch
new file mode 100644
index 0000000000..16817c69ad
--- /dev/null
+++ b/community/rpm/autoconf-lua5.3.patch
@@ -0,0 +1,11 @@
+--- a/configure.ac
++++ b/configure.ac
+@@ -746,7 +746,7 @@
+ AM_CONDITIONAL(ACL,[test "$with_acl" = yes])
+
+ PKG_CHECK_MODULES([LUA],
+- [lua >= 5.3],
++ [lua5.3],
+ [],
+ [AC_MSG_ERROR([lua not present or too old)])])
+ AC_SUBST(LUA_CFLAGS)
diff --git a/community/rpm/musl.patch b/community/rpm/musl.patch
index 65f3a10aa4..fafff62ba6 100644
--- a/community/rpm/musl.patch
+++ b/community/rpm/musl.patch
@@ -20,14 +20,3 @@ Reason: Fixes compilation with musl
AC_CHECK_HEADERS([dwarf.h], [
WITH_LIBDWARF=yes
---- a/rpmio/digest_nss.c
-+++ b/rpmio/digest_nss.c
-@@ -6,6 +6,7 @@
- #include <keyhi.h>
- #include <cryptohi.h>
- #include <blapit.h>
-+#include <signal.h>
-
- #include <rpm/rpmlog.h>
- #include "rpmio/digest.h"
-